from .UnitClass import UnitClass
from .UnitProperty import UnitProperty

UnitProperties = {
    UnitClass.WORKER: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 4,
        UnitProperty.MAX_MOVE_POINTS: 4,
    },
    UnitClass.FARMER: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 4,
        UnitProperty.MAX_MOVE_POINTS: 4,
    },
    UnitClass.BOWMAN: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 4,
        UnitProperty.MAX_MOVE_POINTS: 4,
        UnitProperty.ATTACK_POINTS: 2,
        UnitProperty.MAX_ATTACK_POINTS: 2,
        UnitProperty.MELEE_ATTACK: 1,
        UnitProperty.RANGE_ATTACK: 2,
        UnitProperty.MELEE_DEFENSE: 1,
        UnitProperty.RANGE_DEFENSE: 3,
        UnitProperty.MOUNT_DEFENSE: 1,
        UnitProperty.SIEGE_DEFENSE: 3
    },
    UnitClass.PIKEMAN: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 4,
        UnitProperty.MAX_MOVE_POINTS: 4,
        UnitProperty.ATTACK_POINTS: 1,
        UnitProperty.MAX_ATTACK_POINTS: 1,
        UnitProperty.MELEE_ATTACK: 2,
        UnitProperty.MELEE_DEFENSE: 2,
        UnitProperty.RANGE_DEFENSE: 2,
        UnitProperty.MOUNT_DEFENSE: 4,
        UnitProperty.SIEGE_DEFENSE: 2,
    },
    UnitClass.SWORDSMAN: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 4,
        UnitProperty.MAX_MOVE_POINTS: 4,
        UnitProperty.ATTACK_POINTS: 1,
        UnitProperty.MAX_ATTACK_POINTS: 1,
        UnitProperty.MELEE_ATTACK: 3,
        UnitProperty.MELEE_DEFENSE: 3,
        UnitProperty.RANGE_DEFENSE: 3,
        UnitProperty.MOUNT_DEFENSE: 3,
        UnitProperty.SIEGE_DEFENSE: 1,
    },
    UnitClass.KNIGHT: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 10,
        UnitProperty.MAX_MOVE_POINTS: 10,
        UnitProperty.ATTACK_POINTS: 1,
        UnitProperty.MAX_ATTACK_POINTS: 1,
        UnitProperty.MOUNT_ATTACK: 4,
        UnitProperty.MELEE_DEFENSE: 2,
        UnitProperty.RANGE_DEFENSE: 2,
        UnitProperty.MOUNT_DEFENSE: 2,
        UnitProperty.SIEGE_DEFENSE: 2,
    },
    UnitClass.CATAPULT: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 4,
        UnitProperty.MAX_MOVE_POINTS: 4,
        UnitProperty.ATTACK_POINTS: 1,
        UnitProperty.MAX_ATTACK_POINTS: 1,
        UnitProperty.SIEGE_ATTACK: 4,
    }
}
