import os

startTime_for_tic = 0
startTime_for_toc = 0


def tic():
    import time
    global startTime_for_tic
    global startTime_for_toc
    startTime_for_tic = startTime_for_toc = time.perf_counter_ns()


def toc(text: str = None):
    import time
    global startTime_for_tic
    global startTime_for_toc
    if "NOTOC" not in os.environ:
        newTime = time.perf_counter_ns()
        if 'startTime_for_tic' in globals():
            if text is None:
                text = ""
            print("Elapsed time is % 12.3f (tic) % 12.3f (toc) %s" % (
                (newTime - startTime_for_tic) / 1000000,
                (newTime - startTime_for_toc) / 1000000,
                text
            ))
        else:
            print("Toc: start time not set")
        startTime_for_toc = newTime
